Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.application
Class AjaxViewHandler

    java.lang.Object
      javax.faces.application.ViewHandler
          org.ajax4jsf.application.ViewHandlerWrapper
              org.ajax4jsf.application.AjaxViewHandler

    public class AjaxViewHandler

extends org.ajax4jsf.application.ViewHandlerWrapper

Version:
  $Revision: 1.1.2.5 $ $Date: 2007/02/08 15:02:04 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Field Summary
`static java.lang.String` | `SERIALIZED_STATE_KEY`
`static java.lang.String` | `STATE_MARKER_KEY`
`static java.lang.String` | `VIEW_EXPIRED`
`static java.lang.String` | `VIEW_ID_KEY`

Fields inherited from class org.ajax4jsf.application.ViewHandlerWrapper
`handler`

Fields inherited from class javax.faces.application.ViewHandler
`CHARACTER_ENCODING_KEY, DEFAULT_FACELETS_SUFFIX, DEFAULT_SUFFIX, DEFAULT_SUFFIX_PARAM_NAME, FACELETS_SUFFIX_PARAM_NAME, FACELETS_VIEW_MAPPINGS_PARAM_NAME`

Constructor Summary
`AjaxViewHandler(javax.faces.application.ViewHandler parent)`

Method Summary
`javax.faces.component.UIViewRoot` | `createView(javax.faces.context.FacesContext facesContext, java.lang.String viewId)`
`java.lang.String` | `getResourceURL(javax.faces.context.FacesContext context, java.lang.String url)`
`void` | `renderView(javax.faces.context.FacesContext context, javax.faces.component.UIViewRoot root)`
`void` | `writeState(javax.faces.context.FacesContext context)`

Methods inherited from class org.ajax4jsf.application.ViewHandlerWrapper
`calculateCharacterEncoding, calculateLocale, calculateRenderKitId, fillChain, getActionURL, getHandler, initView, restoreView`

Methods inherited from class javax.faces.application.ViewHandler
`deriveViewId, getBookmarkableURL, getRedirectURL, getViewDeclarationLanguage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SERIALIZED_STATE_KEY

    public static final java.lang.String SERIALIZED_STATE_KEY

See Also:
  Constant Field Values

### STATE_MARKER_KEY

    public static final java.lang.String STATE_MARKER_KEY

See Also:
  Constant Field Values

### VIEW_EXPIRED

    public static final java.lang.String VIEW_EXPIRED

See Also:
  Constant Field Values

### VIEW_ID_KEY

    public static final java.lang.String VIEW_ID_KEY

See Also:
  Constant Field Values

Constructor Detail

### AjaxViewHandler

    public AjaxViewHandler(javax.faces.application.ViewHandler parent)

Parameters:
  `parent` -

Method Detail

### createView

    public javax.faces.component.UIViewRoot createView(javax.faces.context.FacesContext facesContext,
                                                       java.lang.String viewId)

  Overrides:
    `createView` in class `org.ajax4jsf.application.ViewHandlerWrapper`

### writeState

    public void writeState(javax.faces.context.FacesContext context)
                    throws java.io.IOException

  Overrides:
    `writeState` in class `org.ajax4jsf.application.ViewHandlerWrapper`
  Throws:
    `java.io.IOException`

### getResourceURL

    public java.lang.String getResourceURL(javax.faces.context.FacesContext context,
                                           java.lang.String url)

  Overrides:
    `getResourceURL` in class `org.ajax4jsf.application.ViewHandlerWrapper`

### renderView

    public void renderView(javax.faces.context.FacesContext context,
                           javax.faces.component.UIViewRoot root)
                    throws java.io.IOException,
                           javax.faces.FacesException

  Overrides:
    `renderView` in class `org.ajax4jsf.application.ViewHandlerWrapper`
  Throws:
    `java.io.IOException`
    `javax.faces.FacesException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.